SSH

Unix

To remove the OpenSSL cryptographic library from Tectia ConnectSecure on Unix, delete the files that are listed in the following for your operating system.

Note that in the file names:

  • <a>, <b> and <c> indicate the OpenSSL version number, for example 1.0.0

  • <x>, <y>, <z> and <b> indicate the Tectia ConnectSecure product release version and build numbers, for example 6.3.14.123.

Linux, Oracle Solaris and HP-UX (IA-64)

To remove OpenSSL from Tectia ConnectSecure on Linux, Oracle Solaris or HP-UX (IA-64), delete the following files:

  • /opt/tectia/lib/shlib/libcrypto.so.<a>.<b>.<c>

  • /opt/tectia/lib/sshsecsh/<x>.<y>.<z>.<b>/libsshcrypto-fips.so

IBM AIX

To remove OpenSSL from Tectia ConnectSecure on IBM AIX, delete the following files:

  • /opt/tectia/lib/shlib/libcrypto.a

  • /opt/tectia/lib/sshsecsh/<x>.<y>.<z>.<b>/libsshcrypto-fips.so

HP-UX (PA-RISC)

To remove OpenSSL from Tectia ConnectSecure on HP-UX (PA-RISC), delete the following files:

  • /opt/tectia/lib/shlib/libcrypto.sl.<a>.<b>.<c>

  • /opt/tectia/lib/sshsecsh/<x>.<y>.<z>.<b>/libsshcrypto-fips.so